%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: Tasktop plasma applet extension for firefox
Name: firefox-ext-nepotasks
Version: 0.1.6
Release: %mkrel 3
License: MPLv1+
Group: Networking/WWW
URL:    http://code.google.com/p/nepotask/
Source0: http://nepotask.googlecode.com/files/nepotask-%version.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox = %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
BuildRequires: xulrunner-devel
BuildRequires: zip

%description
Small Firefox add-on allowing KDE users, using Tasktop plasma 
applet to mark the current desktop task with the website they 
are currently viewing in Firefox browser.

%prep
%setup -T -q -c -n %{name}-%{version}
unzip -q %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}
hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}
%attr(0755,root,root) %{_mozillaextpath}/nepotask@adrien.guichard/chrome/content/taskaddurl.py


%changelog
* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.1.6-3mdv2010.1
+ Revision: 549367
- rebuild with FF 3.6.6

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.6-2mdv2010.1
+ Revision: 546096
- Fix perms of taskaddurl.py ( tks to Thibaut FRANCOIS )

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.6-1mdv2010.1
+ Revision: 546082
- Add sources
- New version 0.1.6

* Mon Apr 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.5-1mdv2010.1
+ Revision: 536579
- import firefox-ext-nepotasks


